HorizontalTextAlignment (Freeplane API 1.11.8)
Description: declaration: package: org.freeplane.api, enum: HorizontalTextAlignment

Package org.freeplane.api

# Enum Class HorizontalTextAlignment

java.lang.Object
java.lang.Enum<HorizontalTextAlignment>
org.freeplane.api.HorizontalTextAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<HorizontalTextAlignment>`, `Constable`

public enum HorizontalTextAlignment extends Enum<HorizontalTextAlignment>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  `DEFAULT`
  `LEFT`
  `RIGHT`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `swingConstant`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HorizontalTextAlignment`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HorizontalTextAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final HorizontalTextAlignment DEFAULT

  - ### LEFT

    public static final HorizontalTextAlignment LEFT

  - ### RIGHT

    public static final HorizontalTextAlignment RIGHT

  - ### CENTER

    public static final HorizontalTextAlignment CENTER

- ## Field Details

  - ### swingConstant

    public final int swingConstant

- ## Method Details

  - ### values

    public static HorizontalTextAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HorizontalTextAlignment valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null